Subject: [core] [Technical Errata Reported] RFC7252 (4947)

From: RFC Errata System <[email-masked]>
Date: Wed, 22 Feb 2017 11:14:31 -0800 (PST)

The following errata report has been submitted for RFC7252,
"The Constrained Application Protocol (CoAP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7252&eid=4947

--------------------------------------
Type: Technical
Reported by: Klaus Hartke <[email-masked]>

Section: 6.2

Original Text
-------------
coaps-URI = "coaps:" "//" host [ ":" port ] path-abempty
               [ "?" query ]

Corrected Text
--------------
coaps-URI = "coaps:" "//" host [ ":" port ] path-abempty
               [ "?" query ] [ "#" fragment ]

Notes
-----
The optional fragment component allows for indirect identification of a secondary resource, as defined in Section 3.5 of RFC 3986. The fragment identifier is separated from the rest of the URI prior to a dereference; fragment identifiers are processed client-side and are not included in CoAP requests. The original text shows the syntax of coaps:// URIs _after_ separating the fragment identifier, which leaves ambiguity as to whether fragment identifiers are supported or not. The corrected text shows the syntax of CoAP URIs _before_ separating the fragment identifier, which makes clear that fragment identifiers are supported.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7252 (draft-ietf-core-coap-18)
--------------------------------------
Title               : The Constrained Application Protocol (CoAP)
Publication Date    : June 2014
Author(s)           : Z. Shelby, K. Hartke, C. Bormann
Category            : PROPOSED STANDARD
Source              : Constrained RESTful Environments APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG